# Output Size

The Image Editing API gives you control over the size of the result image.

For this, set the parameter `outputSize` with one of the following values:

* `auto` (default)
  * if `templateId` is set, keeps the size of the template
  * if `templateId` isn't set, behaves like `originalImage`
* `{width}x{height}` sets a custom size (example: `1920x1080`)
* `originalImage` keeps the dimensions of the input image
* `croppedSubject` uses the dimensions of the cutout subject


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.photoroom.com/image-editing-api-plus-plan/output-size.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
